#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, indeksporeza;
    double a, p, isplaticese = -1.0, zbir = 0.0, zarada, ukupnizbir = 0.0;
    vector<double> niza, nizp;
    cin >> n;
    for(int i = 0; i < n; i++)
    {
        cin >> a >> p;
        niza.push_back(a);
        nizp.push_back(p);
    }
    for(int i = 0; i < n; i++)
    {
        for(int j = 0; j < n; j++)
        {
            if(nizp[j] >= nizp[i])
            {
                zbir += niza[j];
            }
        }
        if((zbir * nizp[i] / 100.0) > isplaticese)
        {
            isplaticese = zbir * nizp[i] / 100.0;
            ukupnizbir = zbir;
            indeksporeza = i;
        }
        zbir = 0.0;
    }
    zarada = ukupnizbir * nizp[indeksporeza] / 100.0;
    cout << setprecision(10) << zarada << endl;
    return 0;
}